<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="email" schema="email-email" id="top-largest-email-exchange-per-relay">

 <!-- $Id: top-largest-email-exchange-per-relay.xml,v 1.1 2002/08/05 18:44:31 vanbaal Exp $ -->

 <lire:title>Largest Email Exchange Per Relay Pair Email Report</lire:title>
 <lire:description>
  <para>This report lists the pairs of from- and to-relays which exchanged
  the largest volume of email.
  </para>
 </lire:description>

 <lire:param-spec>

  <lire:param name="exchange_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of from-relays
     to display in the report.
    </para>
   </lire:description>
  </lire:param>
  
  <lire:param name="msg_to_show" type="int" default="5">
   <lire:description>
    <para>This parameter controls the number of to-relays per from-relay to
    display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Largest Email Exchange by Relay Pair, Top $exchange_to_show
  From-relays, Top $msg_to_show To-relays</lire:title>

  <lire:description>
   <para>Volume is in bytes</para>
  </lire:description>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-totvolume" limit="$exchange_to_show">
   <lire:field name="from_relay_host"/>
   <lire:sum name="totvolume" field="size"/>
   <lire:group sort="-volume" limit="$msg_to_show">
    <lire:field name="to_relay_host"/>
    <lire:sum name="volume" field="size"/>
   </lire:group>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
